package com.mortals.xhx.modules.arameter.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:Arameter
* date: 2021-8-10 14:26:49
*/
public class ArameterEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1628576809156L;


    /**
    * 入驻系统名称
    */
    private String eventName;

    /**
    * 入驻系统编码
    */
    private String sysCode;

    /**
    * 申请并受理接口地址
    */
    private String acceptAdress;

    /**
    * 审查接口地址
    */
    private String reviewAdress;

    /**
    * 决定接口地址
    */
    private String decideAdress;

    /**
    * 创建时间
    */
    private Date createDate;

    /**
    * 更新时间
    */
    private Date updateDate;

    /**
    * 区划
    */
    private String compartment;

    /**
    * 街道
    */
    private String address;

    /**
    * 阈值
    */
    private String thresholdValue;

    /**
    * 创建者id
    */
    private String creatorId;

    /**
    * 地区编码
    */
    private String areaCode;

    public ArameterEntity(){

    }
    /**
    * 获取 入驻系统名称
    * @return eventName
    */
    public String getEventName() {
        return this.eventName;
    }
    /**
    * 设置 入驻系统名称
    * @param eventName
    */
    public void setEventName(String eventName) {
        this.eventName = eventName;
    }
    /**
    * 获取 入驻系统编码
    * @return sysCode
    */
    public String getSysCode() {
        return this.sysCode;
    }
    /**
    * 设置 入驻系统编码
    * @param sysCode
    */
    public void setSysCode(String sysCode) {
        this.sysCode = sysCode;
    }
    /**
    * 获取 申请并受理接口地址
    * @return acceptAdress
    */
    public String getAcceptAdress() {
        return this.acceptAdress;
    }
    /**
    * 设置 申请并受理接口地址
    * @param acceptAdress
    */
    public void setAcceptAdress(String acceptAdress) {
        this.acceptAdress = acceptAdress;
    }
    /**
    * 获取 审查接口地址
    * @return reviewAdress
    */
    public String getReviewAdress() {
        return this.reviewAdress;
    }
    /**
    * 设置 审查接口地址
    * @param reviewAdress
    */
    public void setReviewAdress(String reviewAdress) {
        this.reviewAdress = reviewAdress;
    }
    /**
    * 获取 决定接口地址
    * @return decideAdress
    */
    public String getDecideAdress() {
        return this.decideAdress;
    }
    /**
    * 设置 决定接口地址
    * @param decideAdress
    */
    public void setDecideAdress(String decideAdress) {
        this.decideAdress = decideAdress;
    }
    /**
    * 获取 创建时间
    * @return createDate
    */
    public Date getCreateDate() {
        return this.createDate;
    }
    /**
    * 设置 创建时间
    * @param createDate
    */
    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
    /**
    * 获取 更新时间
    * @return updateDate
    */
    public Date getUpdateDate() {
        return this.updateDate;
    }
    /**
    * 设置 更新时间
    * @param updateDate
    */
    public void setUpdateDate(Date updateDate) {
        this.updateDate = updateDate;
    }
    /**
    * 获取 区划
    * @return compartment
    */
    public String getCompartment() {
        return this.compartment;
    }
    /**
    * 设置 区划
    * @param compartment
    */
    public void setCompartment(String compartment) {
        this.compartment = compartment;
    }
    /**
    * 获取 街道
    * @return address
    */
    public String getAddress() {
        return this.address;
    }
    /**
    * 设置 街道
    * @param address
    */
    public void setAddress(String address) {
        this.address = address;
    }
    /**
    * 获取 阈值
    * @return thresholdValue
    */
    public String getThresholdValue() {
        return this.thresholdValue;
    }
    /**
    * 设置 阈值
    * @param thresholdValue
    */
    public void setThresholdValue(String thresholdValue) {
        this.thresholdValue = thresholdValue;
    }
    /**
    * 获取 创建者id
    * @return creatorId
    */
    public String getCreatorId() {
        return this.creatorId;
    }
    /**
    * 设置 创建者id
    * @param creatorId
    */
    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }
    /**
    * 获取 地区编码
    * @return areaCode
    */
    public String getAreaCode() {
        return this.areaCode;
    }
    /**
    * 设置 地区编码
    * @param areaCode
    */
    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof ArameterEntity) {
            ArameterEntity tmp = (ArameterEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",eventName:").append(getEventName())
                .append(",sysCode:").append(getSysCode())
                .append(",acceptAdress:").append(getAcceptAdress())
                .append(",reviewAdress:").append(getReviewAdress())
                .append(",decideAdress:").append(getDecideAdress())
                .append(",createDate:").append(getCreateDate())
                .append(",updateDate:").append(getUpdateDate())
                .append(",compartment:").append(getCompartment())
                .append(",address:").append(getAddress())
                .append(",thresholdValue:").append(getThresholdValue())
                .append(",creatorId:").append(getCreatorId())
                .append(",areaCode:").append(getAreaCode())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.eventName = null;
         this.sysCode = null;
         this.acceptAdress = null;
         this.reviewAdress = null;
         this.decideAdress = null;
         this.createDate = null;
         this.updateDate = null;
         this.compartment = null;
         this.address = null;
         this.thresholdValue = null;
         this.creatorId = null;
         this.areaCode = null;
    }
}